Name:           invulgotracker
Version:        1.01
Release:        1%{?dist}
Summary:        Tasks & projects tracking tool

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://www.invulgo.dk/
Source0:        http://invulgotracker.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         invulgotracker-0.60-icon-location.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext gtk2-devel intltool libglade2-devel libxml2-devel gnome-vfs2-devel desktop-file-utils
#Requires:       

%description
Simple application to track time usage on your tasks & projects.

%prep
%setup -q
#Remove extension from icon
sed -i 's|Icon=InvulgoTracker.png|Icon=InvulgoTracker|g' InvulgoTracker.desktop.in
#Place icon in pixmaps
%patch0 -p1 -b .orig


%build
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
# remove duplicate docs
rm -rf $RPM_BUILD_ROOT/%{_docdir}
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category="ProjectManagement" \
	%{buildroot}%{_datadir}/applications/InvulgoTracker.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang

%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/invulgotracker
%{_datadir}/applications/InvulgoTracker.desktop
%{_datadir}/pixmaps/InvulgoTracker.png
%{_datadir}/invulgotracker/


%changelog
* Thu Apr 08 2010 Tareq Al Jurf <taljurf@fedoraproject.org> - 1.01-1
- Update to 1.01

* Mon Mar 22 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.00-1
- Update to 1.00

* Fri Dec 18 2009 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.61-1
- Update to 0.61

* Thu Dec 03 2009 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.60-1
- Update to 0.60

* Sun Nov 29 2009 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.53.1-3
- Fixed desktop and icons

* Sun Nov 22 2009 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.53.1-2
- Fixed some spec problems

* Wed Nov 04 2009 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.53.1-1
- Update to 0.53.1

* Wed Oct 07 2009 Tareq Al Jurf <taljurf@fedoraproject.org> - 0.53-1
- Initial build
